Subject: Re: Just send UTF-8 with nameprep (was: RE: [idn] Reality Check)

From: Paul Hoffman / IMC <[email-masked]>
Date: Mon, 23 Jul 2001 10:34:52 -0700

At 11:25 AM +0200 7/23/01, Dan Oscarsson wrote:
>Also it does not matter if nameprep is not applied at the client
>end, the DNS server will do nameprep before comparing names - so it
>will work anyway.

Dan, it is not clear from the udns-02 document that the protocol 
requires nameprep on the name server for every query. This is a 
fairly important design choice of UDNS that should probably be 
highlighted in the document. As you have seen, some people who 
thought they were supporting udns-02 don't think this is such a great 
idea, and it is quite controversial for name servers that run high 
volumes of queries (like tens of thousands a second).

--Paul Hoffman, Director
--Internet Mail Consortium

---

From: Dan Oscarsson <[email-masked]>
Date: Mon, 23 Jul 2001 11:25:56 +0200 (MEST)

>At 19:04 01/07/17 +0200, Patrik F$BgM(Btstr$B‹N(B wrote:
>>--On 01-07-18 01.12 +0900 Martin Duerst <[email-masked]> wrote:
>>
>> > Again, nameprep only is easier than nameprep+ACE.
>> > And as I have explained to Patrick, while on the registration
>> > side, 100% nameprep and nothing less is extremely important,
>> > on the application side, it's not really that important.
>>
>>The day an online stock trader doesn't get his bid in to the broker because
>>he typed the wrong version of what according to nameprep is the wrong
>>character, you loose.
>
>This is just spreading FUD. No halfway serious online trader types
>in the broker address every time he trades. For that, there are
>things such as bookmarks and autocompletion.

   Dan

---

From: John C Klensin <[email-masked]>
Date: Mon, 23 Jul 2001 05:54:16 -0400

--On Monday, 23 July, 2001 11:25 +0200 Dan Oscarsson
<[email-masked]> wrote:

> 
>> At 19:04 01/07/17 +0200, Patrik F舁tstr仁 wrote:
>>> > And as I have explained to Patrick, while on the
>>> > registration side, 100% nameprep and nothing less is
>>> > extremely important, on the application side, it's not
>>> > really that important.
>>> 
>>> The day an online stock trader doesn't get his bid in to the
>>> broker because he typed the wrong version of what according
>>> to nameprep is the wrong character, you loose.
>> 
>> This is just spreading FUD. No halfway serious online trader
>> types in the broker address every time he trades. For that,
>> there are things such as bookmarks and autocompletion.
> 
> Also it does not matter if nameprep is not applied at the
> client end, the DNS server will do nameprep before comparing
> names - so it will work anyway.

Dan,

The above sounds to me as if we are back to requiring that all
servers need to be upgraded in order to have things work
properly.  Certainly no DNS server deployed today does nameprep
before comparing names.  That assumption of massive, more or
less concurrent, upgrades, or its alternative, that we are
willing to tolerate a long-ish period in which things don't work
predictably, are the ones I though the WG concluded it could not
make.

   john

---

From: Martin Duerst <[email-masked]>
Date: Mon, 23 Jul 2001 18:58:58 +0900

At 11:25 01/07/23 +0200, Dan Oscarsson wrote:

> >At 19:04 01/07/17 +0200, Patrik F$BgM(Btstr$B起(B wrote:

I was not assuming that nameprep is done in the servers.
I think it's not a good idea to do that; it's too much load on
the servers, and too difficult to upgrade,...

But from private mail that I got, it seemed like others also
understood that I was commenting under that assumption.

Regards,    Martin.

---

From: David Hopwood <[email-masked]>
Date: Mon, 23 Jul 2001 22:47:51 +0100

-----BEGIN PGP SIGNED MESSAGE-----

John C Klensin wrote:
> Dan Oscarsson <[email-masked]> wrote:
> >> Patrik Fältström wrote:
> properly.

No: only authoritative servers for zones that include IDNs (for proposals
where these servers do nameprep). It doesn't matter that intermediate
servers and proxies don't do nameprep, as long as they are 8-bit clean [*],
which they should be already according to RFC 1034 ("we may someday need
to add full binary domain names for new services"), and RFC 2181 ("any
binary string whatever can be used as the label of any resource record").

[*] "8-bit clean" here means able to handle LDH bytes and bytes >= 0x80.
    For example, if a server cannot handle zero bytes, even though that
    is not compliant with RFC 2181, it would not prevent the server from
    being 8-bit clean in this sense.

- -- 
David Hopwood <[email-masked]>

Home page & PGP public key: http://www.users.zetnet.co.uk/hopwood/
RSA 2048-bit; fingerprint 71 8E A6 23 0E D3 4C E5  0F 69 8C D4 FA 66 15 01
Nothing in this message is intended to be legally binding. If I revoke a
public key but refuse to specify why, it is because the private key has been
seized under the Regulation of Investigatory Powers Act; see www.fipr.org/rip